#include <QGuiApplication>
#include <QQmlApplicationEngine>


int main(int argc, char *argv[])
{
    _putenv ("QT_MULTIMEDIA_PREFERRED_PLUGINS=w,d");
    _putenv ("QSG_INFO=1");
    _putenv ("QT_LOGGING_RULES=qt.qpa.gl=true");
    _putenv ("QT_ANGLE_PLATFORM=d3d11");
    _putenv ("QT_MULTIMEDIA_PREFERRED_PLUGINS=w,d");
    _putenv ("QT_AUTO_SCREEN_SCALE_FACTOR=0");

    QCoreApplication::setAttribute (Qt::AA_ShareOpenGLContexts);
    QCoreApplication::setAttribute (Qt::AA_UseOpenGLES);
    QCoreApplication::setAttribute(Qt::AA_DisableHighDpiScaling);

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);

    engine.load(url);

    return app.exec();
}
