import QtQuick 2.15
import QtMultimedia 5.15
import QtQuick.Controls 2.15
import QtQuick.Window 2.15

import QtQuick.Layouts 1.12

Window {
    width : 800
    height : 600
    visible: true
    MouseArea{
        anchors.fill: parent

        onClicked: {
            s.visible = !(s.visible)
        }
    }
    Text {
        id: name
        height: 100

        font.pixelSize: 16
        text: qsTr("Click on screen to play.\nChange MediaPlayer source video path if needed. Sample video available in project zip")
    }
    Rectangle {
        id: s
        width: 750
        height: 500
        anchors.centerIn: parent

        property bool autoPlayPaused: true

        property bool showPlaybackSlider: true
        property bool showRangeSlider: false

        property bool showShadow: true

        property bool voHoverd: false

        signal rangeChanged(var first, var second)

        MouseArea{
            anchors.fill: parent

            onClicked: {
                if(player.playbackState !== MediaPlayer.PlayingState)
                    player.play();
                console.log("\n---->\n onClicked playbackState : "+player.playbackState  )
                console.log("onClicked PlayingState : "+JSON.stringify(player.playbackState === MediaPlayer.PlayingState ))
                console.log("onClicked PausedState : "+JSON.stringify(player.playbackState === MediaPlayer.PausedState ))
                console.log("onClicked StoppedState : "+JSON.stringify(player.playbackState === MediaPlayer.StoppedState) )
            }
        }

        MediaPlayer {
            id:player
            autoLoad: true
            autoPlay: false

            notifyInterval: 10

            source: Qt.resolvedUrl("WIN_20220325_47_19_Pro.mp4") // add the source file path here

            muted: true
        }

        VideoOutput {
            id: vo
            anchors.fill: parent

            opacity: 0

            source: player
            flushMode: VideoOutput.LastFrame
            onContentRectChanged: {
                vo.opacity = 1
            }
        }
    }
}
